Categories:
  - System
License: GPL-3.0-only
WebSite: http://forum.xda-developers.com/showthread.php?t=2330864
SourceCode: https://github.com/DF1E/SimpleExplorer
IssueTracker: https://github.com/DF1E/SimpleExplorer/issues

AutoName: Simple Explorer
Description: |-
    Simple file explorer inspired by [[com.cyanogenmod.filemanager.ics]] and
    [[com.docd.purefm]].

RepoType: git
Repo: https://github.com/DF1E/SimpleExplorer

Builds:
  - versionName: 2.0.5
    versionCode: 53
    commit: 22b79f6a346766f7c19bff47c8776a2839045b8f
    srclibs:
      - RootTools@3.4
      - CommonsIO@2.4
      - JUnrar@junrar-0.7
    rm:
      - libs/RootTools-3.4.jar
      - libs/commons-io-2.4.jar
      - libs/junrarlib.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.7.jar libs/
      - pushd $$CommonsIO$$
      - $$MVN3$$ package
      - popd
      - cp $$CommonsIO$$/target/commons-io-2.4.jar libs/
      - cp -fR $$RootTools$$/RootTools/src/main/java/com  src/

  - versionName: '2.1'
    versionCode: 55
    commit: v2.1
    srclibs:
      - 1:FloatingActionButton@d48d8f3fbed108e6bcf58cb3e1f3c7cafb5ab1db
      - 2:ViewPagerIndicator@2.4.1
      - RootTools@3.4
      - CommonsIO@2.4
      - JUnrar@a6f7cac9dd5434423127c6498b357cae2cfbb369
    rm:
      - libs/RootTools-3.4.jar
      - libs/commons-io-2.4.jar
      - libs/junrarlib.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.8-SNAPSHOT.jar libs/
      - pushd $$CommonsIO$$
      - $$MVN3$$ package
      - popd
      - cp $$CommonsIO$$/target/commons-io-2.4.jar libs/
      - cp -fR $$RootTools$$/RootTools/src/main/java/com  src/

  - versionName: 2.1.1
    versionCode: 56
    commit: 17a63ae25d8e61b8c9c104ac01c11e2a78a19627
    srclibs:
      - 1:FloatingActionButton@d48d8f3fbed108e6bcf58cb3e1f3c7cafb5ab1db
      - 2:ViewPagerIndicator@2.4.1
      - RootTools@3.4
      - CommonsIO@2.4
      - JUnrar@a6f7cac9dd5434423127c6498b357cae2cfbb369
    rm:
      - libs/RootTools-3.4.jar
      - libs/commons-io-2.4.jar
      - libs/junrarlib.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.8-SNAPSHOT.jar libs/
      - pushd $$CommonsIO$$
      - $$MVN3$$ package
      - popd
      - cp $$CommonsIO$$/target/commons-io-2.4.jar libs/
      - cp -fR $$RootTools$$/RootTools/src/main/java/com  src/

  - versionName: 2.1.2
    versionCode: 57
    commit: 106e76e5a754400f6e2ec3025a4b95541b2f2056
    srclibs:
      - 1:FloatingActionButton@d48d8f3fbed108e6bcf58cb3e1f3c7cafb5ab1db
      - 2:ViewPagerIndicator@2.4.1
      - RootTools@3.4
      - CommonsIO@2.4
      - JUnrar@a6f7cac9dd5434423127c6498b357cae2cfbb369
    rm:
      - libs/RootTools-3.4.jar
      - libs/commons-io-2.4.jar
      - libs/junrarlib.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.8-SNAPSHOT.jar libs/
      - pushd $$CommonsIO$$
      - $$MVN3$$ package
      - popd
      - cp $$CommonsIO$$/target/commons-io-2.4.jar libs/
      - cp -fR $$RootTools$$/RootTools/src/main/java/com  src/

  - versionName: '2.2'
    versionCode: 58
    commit: v2.2
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - RootTools@3.4
      - JUnrar@a6f7cac9dd5434423127c6498b357cae2cfbb369
    rm:
      - explorer/libs/RootTools-3.4.jar
      - explorer/libs/junrarlib.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.8-SNAPSHOT.jar libs/
      - cp -fR $$RootTools$$/RootTools/src/main/java/com  src/main/java/
      - sed -i -e 's/gradle:0.13.3/gradle:0.12.+/g' ../build.gradle

  - versionName: 2.2.1
    versionCode: 59
    commit: v2.2.1
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - JUnrar@a6f7cac9dd5434423127c6498b357cae2cfbb369
    rm:
      - explorer/libs/*.jar
    prebuild:
      - pushd $$JUnrar$$
      - $$MVN3$$ package
      - popd
      - cp $$JUnrar$$/target/junrar-0.8-SNAPSHOT.jar libs/

  - versionName: 2.2.3
    versionCode: 61
    commit: v2.2.3
    subdir: explorer
    gradle:
      - yes
    rm:
      - explorer/libs/*.jar

  - versionName: 2.2.4
    versionCode: 62
    commit: v2.2.4
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - explorer/libs/*.jar
    prebuild:
      - cp -fR $$RootTools$$/src/com  src/main/java/
      - cp -fR $$RootShell$$/src/com  src/main/java/

  - versionName: 2.2.5
    versionCode: 63
    commit: v2.2.5
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - explorer/libs/*.jar
    prebuild:
      - cp -fR $$RootTools$$/src/com  src/main/java/
      - cp -fR $$RootShell$$/src/com  src/main/java/

  - versionName: '2.3'
    versionCode: 66
    commit: v2.3
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - explorer/libs/*.jar
    prebuild:
      - cp -fR $$RootTools$$/src/com  src/main/java/
      - cp -fR $$RootShell$$/src/com  src/main/java/

  - versionName: 2.3.1
    versionCode: 67
    commit: v2.3.1
    subdir: explorer
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - explorer/libs/*.jar
    prebuild:
      - cp -fR $$RootTools$$/src/com  src/main/java/
      - cp -fR $$RootShell$$/src/com  src/main/java/

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.3.1
CurrentVersionCode: 67
